<!--
  Generated template for the FormLoginPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-content>
<img src="../assets/imgs/headLogin.png" />
  <form [formGroup]="loginForm">
	<ion-list>
	  <ion-item>
	  	<ion-icon name="ios-contact" item-start color="primary"></ion-icon>
	    <ion-label color="link" stacked>Email</ion-label>
	    <ion-input type="text" formControlName="email" placeholder="Imput your email"> </ion-input>
	  </ion-item>
	  <div class="validation-errors">
		<ng-container *ngFor="let validation of validation_message.email" >
			<div class="error-message" *ngIf="loginForm.get('email').hasError(validation.type) && (loginForm.get('email').dirty || loginForm.get('email').touched)">
				<ion-icon name="ios-alert-outline"></ion-icon> {{ validation.message }}
			</div>
		</ng-container>
	  </div>
	  <ion-item>
	  	<ion-icon name="ios-key" item-start color="primary"></ion-icon>
	    <ion-label color="link" stacked>Password</ion-label>
	    <ion-input type="password" formControlName="password" placeholder="Imput your Password"></ion-input>
	  </ion-item>
	  <div class="validation-errors">
		<ng-container *ngFor="let validation of validation_message.password" >
			<div class="error-message" *ngIf="loginForm.get('password').hasError(validation.type) && (loginForm.get('password').dirty || loginForm.get('password').touched)">
				<ion-icon name="ios-alert-outline"></ion-icon> {{ validation.message }}
			</div>
		</ng-container>
	  </div>
	  <ion-item text-center>
	  	<button ion-button color="primary" (click)="goToLogin()" full padding round>Masuk</button>
	  </ion-item>
	</ion-list>
  </form>
	<ion-grid>
    	<ion-row>
    		<ion-col col-6 col-sm text-left color="light">
    			<ion-label color="light" (click)="goLupaPassword()" ><u>Lupa Password?</u></ion-label>
		    </ion-col>
    		<ion-col col-6 col-sm text-right>
    			<ion-label color="light" (click)="goDaftarBaru()" ><u>Daftar Baru?</u></ion-label>
		    </ion-col>
    	</ion-row>
    </ion-grid>
    <ion-card>
	  <ion-card-header>
	    Kenapa Harus Blanja Quickpay ?
	  </ion-card-header>
	  <ion-card-content>
	  	<b>Transaksi Aman</b> kapan dan dimana saja, yaa! kamu bisa transaksi beli pulsa dan pembayaran tagihan kapan saja dan dimana saja.
	  </ion-card-content>
	</ion-card>
</ion-content>
<ion-footer text-center padding text-color="light">
	&copy; blanja.com <br /><i>Was created by Ferrat Muzaddid - 1311511404</i>
</ion-footer>